Represents an LDAP schema matchingRuleUse entry

package | lib

### Methods

## MatchingRuleUse()

    MatchingRuleUse($raw_matching_rule_use_string)

### Parameters

#### $raw_matching_rule_use_string

## Gets this MatchingRuleUse's name

    getName() : string

### Returns

`string`The name

## Gets an array of attribute names (strings) which use this MatchingRuleUse object.

    getUsedByAttrs() : array

### Returns

`array`The array of attribute names (strings).

## Initialize the class' member variables

    initVars()

### Properties

## The name of the MathingRule this applies to

    $name

## An array of attributeType names who make use of the mathingRule identified by $this->oid and $this->name

    $used_by_attrs

Represents an LDAP schema matchingRuleUse entry

A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax. All schema items have at least two things in common: An OID and a description. This class provides an implementation for these two data.

package | phpLDAPadmin
subpackage | Schema

### Methods

## __construct()

    __construct($strings)

### Parameters

#### $strings

## getDescription()

    getDescription()

Inherited

inherited_from | \SchemaItem::getDescription()

## Gets whether this objectClass is flagged as obsolete by the LDAP server.

    getIsObsolete()

Inherited

inherited_from | \SchemaItem::getIsObsolete()

## Return the objects name.

    getName($lower) : string

Inherited

param boolean $lower Return the name in lower case (default)

inherited_from | \SchemaItem::getName()

### Parameters

#### $lower

### Returns

`string`The name

## getOID()

    getOID()

Inherited

inherited_from | \SchemaItem::getOID()

## Gets an array of attribute names (strings) which use this MatchingRuleUse object.

    getUsedByAttrs() : array

### Returns

`array`The array of attribute names (strings).

## setDescription()

    setDescription($desc)

Inherited

inherited_from | \SchemaItem::setDescription()

### Parameters

#### $desc

## setOID()

    setOID($oid)

Inherited

inherited_from | \SchemaItem::setOID()

### Parameters

#### $oid

### Properties

## $description

    $description

Inherited

inherited_from | \SchemaItem::$$description

## $name

    $name

Inherited

inherited_from | \SchemaItem::$$name

## $is_obsolete

    $is_obsolete

Inherited

inherited_from | \SchemaItem::$$is_obsolete

## $oid

    $oid

Inherited

inherited_from | \SchemaItem::$$oid

## $used_by_attrs

    $used_by_attrs